<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width">
        <script src="https://d3js.org/d3.v3.js"></script>
        <title>D3 3</title>
    </head>
    <body>
        <svg id="s1"></svg>
        <svg id="s2"></svg>
        <script>
            var data1 = [
                {x:0, y:1.89}, 
                {x:1, y:2.77}, 
                {x:2, y:0.86}, 
                {x:3, y:3.45}, 
                {x:4, y:4.13}, 
                {x:5, y:3.59}, 
                {x:6, y:2.33}, 
                {x:7, y:3.79}, 
                {x:8, y:2.61}, 
                {x:9, y:2.15}
            ];

            var data2 = [
                {x:0, y:100}, 
                {x:10, y:154}, 
                {x:20, y:288}, 
                {x:30, y:187}, 
                {x:40, y:235}, 
                {x:50, y:198}, 
                {x:60, y:172}, 
                {x:70, y:134}, 
                {x:80, y:94}, 
                {x:90, y:88}
            ];

            var data = [data1, data2];

            var width = 600,
                height = 300;

            var transformX = 50;
            var transformY = 50;

            for (i=0; i<data.length; i++) {
                var s = d3.select('#s' + (i + 1));

                var minX = d3.min(data[i], function(d){return d.x});
                var maxX = d3.max(data[i], function(d){return d.x}) * 1.1;
                var minY = d3.min(data[i], function(d){return d.y});
                var maxY = d3.max(data[i], function(d){return d.y}) * 1.1;

                s.attr({
                    'width': 800,
                    'height': 400,
                }).style({
                    'border':'1px solid #000'
                });

                var scaleX1 = d3.scale.linear()
                   .range([0,width])
                   .domain([minX,maxX]);

                var scaleY1 = d3.scale.linear()
                    .range([height, 0])
                    .domain([minY,maxY]);

                var line1 = d3.svg.line()
                    .x(function(d) {
                        return scaleX1(d.x);
                    }).y(function(d) {
                        return scaleY1(d.y);
                    });

                var axisX = d3.svg.axis()
                    .scale(scaleX1)
                    .orient("bottom")
                    .ticks(10);
                    

                var axisY = d3.svg.axis()
                    .scale(scaleY1)
                    .orient("left")
                    .ticks(10);
                
                var scaleX2 = d3.scale.linear()
                   .range([0,width])
                   .domain([minX,maxX])
                   .nice();

                var scaleY2 = d3.scale.linear()
                    .range([height,0])
                    .domain([minY,maxY])
                    .nice();
                
                var line2 = d3.svg.line()
                    .x(function(d) {
                        return scaleX2(d.x);
                    }).y(function(d) {
                        return scaleY2(d.y);
                    });

                //console.log(data[i]);
                s.append('path')
                    .attr({
                        'd':line1(data[i]),
                        'stroke':'red',
                        'fill':'none',
                        'transform':'translate('+transformX+','+transformY+')'
                    });

                s.append('path')
                    .attr({
                        'd':line2(data[i]),
                        'stroke':'blue',
                        'fill':'none',
                        'transform':'translate('+transformX+','+transformY+')'
                    });

                s.append('g')
                    .call(axisX)
                    .attr({
                        'fill':'none',
                        'stroke':'#000',
                        'transform':'translate('+transformX+','+(height+transformY)+')' 
                    })
                    .selectAll('text')
                        .attr({
                        'fill':'#000',
                        'stroke':'none',
                        }).style({
                        'font-size':'11px'
                    });
                
                s.append('g')
                    .call(axisY)
                    .attr({
                        'fill':'none',
                        'stroke':'#000',
                        'transform':'translate('+transformX+','+transformY+')'
                    }).selectAll('text')
                        .attr({
                        'fill':'#000',
                        'stroke':'none',
                        }).style({
                        'font-size':'11px'
                    });

                var axisXGrid = d3.svg.axis()
                    .scale(scaleX1)
                    .orient("bottom")
                    .ticks(10)
                    .tickFormat("")
                    .tickSize(-height,0);

                var axisYGrid = d3.svg.axis()
                    .scale(scaleY1)
                    .orient("left")
                    .ticks(10)
                    .tickFormat("")
                    .tickSize(-width,0);

                s.append('g')
                    .call(axisXGrid)
                    .attr({
                    'fill':'none',
                    'stroke':'rgba(0,0,0,.1)',
                    'transform':'translate('+transformX+','+(height+transformY)+')' 
                    });

                    s.append('g')
                    .call(axisYGrid)
                    .attr({
                    'fill':'none',
                    'stroke':'rgba(0,0,0,.1)',
                    'transform':'translate('+transformX+','+transformY+')'
                    });

            }

        </script>
    </body>
</html>